using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
	/// <summary>
	/// 图片文件  所有格式文件都转换为图片保存在此记录中
	/// </summary>
	[IgnoreT4] public class T_PF_IMG_FILE : MesEntityBase
	{

		[Description("文件名称")]
		public string FILE_NAME { get; set; }

		[Description("文件类型")]
		public string FILE_TYPE { get; set; }


		[Description("文件ID")]
		public Guid? FILE_ID { get; set; }


		[Description("导航：文件表")]
		public virtual T_PF_FILE Nav_File { get; set; }

		/// <summary>
		/// 明细
		/// </summary>
		public virtual ICollection<T_PF_IMG_FILE_DETAIL> Nav_Details { get; set; }

		[Description("源ID")]
		public Guid? SRC_ID { get; set; }
	}
}
